import React from "react";
import {
    BrowserRouter,
    Switch,
    Redirect,
    Route
} from "react-router-dom";

import Navbar from "./components/Navbar";
import YearRoute from "./pages/YearRoute";

function App() {
    const years = [2023, 2024];
    return (
        <BrowserRouter>
            <Navbar/>
            <Switch>
                <Route
                    path="/:year"
                    component={ YearRoute }
                />
                <Route path="/">
                    <Redirect to={ "/" + years[years.length - 1] }/>
                </Route>
            </Switch>
        </BrowserRouter>
    )
}

export default React.memo(App);
