import React, {
    useContext
} from "react";

import DriverComparisonTable from "./DriverComparisonTable";
import {
    YearContext
} from "../pages/YearRoute";

function DriverComparison({ driver }) {
    const {
        points
    } = useContext(YearContext);
    const driverIndex = Object.keys(points.drivers).indexOf(driver);
    const driverPoints = Object.values(points.drivers)[driverIndex];
    return (
        <React.Fragment>
            <h2>P{ driverIndex + 1 } { driver } - { driverPoints }</h2>
            <div>
                { Object.entries(points.drivers).map(([driver2, driver2Points], driver2Index) => {
                    if(driver2 === driver) {
                        return null;
                    }
                    if(driverIndex + 1 !== driver2Index) {
                        return null;
                    }
                    return (
                        <div key={ driver2Index }>
                            <h3>P{ driver2Index + 1 } { driver2 } - { driver2Points }</h3>
                            <DriverComparisonTable
                                driver1={ driver }
                                driver2={ driver2 }
                            />
                        </div>
                    )
                })}
            </div>
        </React.Fragment>
    )
}

export default React.memo(DriverComparison);
